Bug 820845 - Review Request: python-django-dajax - Library to create asynchronous presentation logic with Django and dajaxice
Review Request: python-django-dajax - Library to create asynchronous presenta...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 03:48 EDT by Jakub Filak
Modified: 2016-11-30 19:42 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-14 20:22:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
dajax httpd conf file (57 bytes, text/plain)
2012-05-11 03:49 EDT, Jakub Filak
no flags Details
updated spec (2.47 KB, text/x-rpm-spec)
2012-05-11 07:01 EDT, Jakub Filak
no flags Details

  None (edit)
Description Jakub Filak 2012-05-11 03:48:34 EDT
Spec URL: http://jfilak.fedorapeople.org/packages/django-dajax.spec
SRPM URL: http://jfilak.fedorapeople.org/packages/django-dajax-0.8.4-1.fc16.src.rpm
Description:
dajax is a powerful tool to easily and super-quickly develop asynchronous
presentation logic in web applications using python and almost no JS code.
It supports up to four of the most popular JS frameworks: Prototype, jQuery,
Dojo and mootols.

Rpmlint output:

$ rpmlint SPECS/django-dajax.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint SRPMS/django-dajax-0.8.4-1.fc16.src.rpm
django-dajax.src: W: spelling-error Summary(en_US) dajaxice -> jaundice
django-dajax.src: W: spelling-error %description -l en_US jQuery -> j Query, query, equerry
django-dajax.src: W: spelling-error %description -l en_US mootols -> footstools
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

$ rpmlint RPMS/noarch/django-dajax-0.8.4-1.fc16.noarch.rpm
django-dajax.noarch: W: spelling-error Summary(en_US) dajaxice -> jaundice
django-dajax.noarch: W: spelling-error %description -l en_US jQuery -> j Query, query, equerry
django-dajax.noarch: W: spelling-error %description -l en_US mootols -> footstools
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

$ rpmlint django-dajax
django-dajax.noarch: W: spelling-error Summary(en_US) dajaxice -> jaundice
django-dajax.noarch: W: spelling-error %description -l en_US jQuery -> j Query, query, equerry
django-dajax.noarch: W: spelling-error %description -l en_US mootols -> footstools
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

The rpmlint warnings above are about misspelled names.


The upstream should know about my effort to pack dajax.
I've sent them a request for getting rid of empty files.
Comment 1 Jakub Filak 2012-05-11 03:49:24 EDT
Created attachment 583756 [details]
dajax httpd conf file
Comment 2 Matthias Runge 2012-05-11 04:15:10 EDT
Hi Jakub,
same comments as for bug 820841 are valid here.
Comment 3 Matthias Runge 2012-05-11 04:19:13 EDT
ah, and the description here should match the summary from spec.
Comment 4 Jakub Filak 2012-05-11 07:01:10 EDT
Created attachment 583799 [details]
updated spec

Hi Mathias,

Thank you for your review.

I've updated the spec.

But I'm not sure about the description. Should I write a new one?
Comment 5 Matthias Runge 2012-05-11 07:04:59 EDT
Ah, I've meant the short description here in this bug entry:
"dajaxice support for popular JS frameworks"  the summary from spec
Comment 7 Matthias Runge 2012-05-11 07:32:00 EDT
OK, takin' this one
Comment 8 Jakub Filak 2012-05-13 16:09:07 EDT
Spec URL: http://jfilak.fedorapeople.org/packages/python-django-dajax.spec
SRPM URL: http://jfilak.fedorapeople.org/packages/python-django-dajax-0.8.4-2.fc16.src.rpm
Spec diff: http://jfilak.fedorapeople.org/packages/python-django-dajax.spec.r1-r2.patch

Changes:
* Release: 1 -> Release: 2
* %define -> %global
* deleted "rm -rf ..." from %install section
* deleted %clean section

I've changed the spec file as you requested in bug 820841, comment 7 and nothing more, I hope.
Comment 9 Matthias Runge 2012-05-14 04:25:27 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST %config files are marked noreplace or the reason is justified.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST No %config files under /usr.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint python-django-dajax-0.8.4-2.fc18.noarch.rpm

python-django-dajax.noarch: W: spelling-error Summary(en_US) dajaxice -> jaundice
python-django-dajax.noarch: W: spelling-error %description -l en_US jQuery -> j Query, query, equerry
python-django-dajax.noarch: W: spelling-error %description -l en_US mootols -> footstools
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint python-django-dajax-0.8.4-2.fc18.src.rpm

python-django-dajax.src: W: spelling-error Summary(en_US) dajaxice -> jaundice
python-django-dajax.src: W: spelling-error %description -l en_US jQuery -> j Query, query, equerry
python-django-dajax.src: W: spelling-error %description -l en_US mootols -> footstools
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mrunge/review/820845/django-dajax-0.8.4.tar.gz :
  MD5SUM this package     : 46b253e3671a2ff27eb475f963dfd550
  MD5SUM upstream package : 46b253e3671a2ff27eb475f963dfd550

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint python-django-dajax-0.8.4-2.fc18.noarch.rpm

python-django-dajax.noarch: W: spelling-error Summary(en_US) dajaxice -> jaundice
python-django-dajax.noarch: W: spelling-error %description -l en_US jQuery -> j Query, query, equerry
python-django-dajax.noarch: W: spelling-error %description -l en_US mootols -> footstools
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint python-django-dajax-0.8.4-2.fc18.src.rpm

python-django-dajax.src: W: spelling-error Summary(en_US) dajaxice -> jaundice
python-django-dajax.src: W: spelling-error %description -l en_US jQuery -> j Query, query, equerry
python-django-dajax.src: W: spelling-error %description -l en_US mootols -> footstools
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint


Note: there's no need to do some 'egg'.magic to rename egg-info. If you should drop that.

I'd prefer, if you' drop the one or other %globals, to make it some more clear, what is getting moved from where to where.
Comment 10 Jakub Filak 2012-05-14 06:08:39 EDT
Spec URL: http://jfilak.fedorapeople.org/packages/python-django-dajax.spec
SRPM URL: http://jfilak.fedorapeople.org/packages/python-django-dajax-0.8.4-3.fc16.src.rpm
Spec diff: http://jfilak.fedorapeople.org/packages/python-django-dajax.spec.r2-r3.patch

Changes:
* Release: 2 -> Release: 3
* do not rename egg-info
* add python-setuptools

I've found an usefull page https://fedoraproject.org/wiki/Packaging:Python_Eggs. I had read that page before I started to write the spec file but now I understand to what is written on the page.

Should I polish the bug 820841 (I know, the package is approved now. I believe that you know how to manage this situation. Please, advise me.)?

About the rpmlint output.
I need your advice. I don't know how to get rid of those false positive warnings about misspeled words. Warnings are there only for the names and I'm pretty sure that the names are correct.
Comment 11 Matthias Runge 2012-05-14 06:58:38 EDT
rpmlint: these false positives are ok, no problem.

Ah, just found: you need to require httpd if you're putting something in /etc/httpd/conf.d


What about to rewrite 
# remove empty source files and bytecompiled files
for src_file in $(find $RPM_BUILD_ROOT -type f -size 0 -name "*.py")
do
    rm ${src_file}{,c,o}
done

?
to something like:

find . -size 0 -type f -name "*.py" -exec rm '{}'{,c,o} \;

you shouldn't rename data dir:

# add prefix "python-" to library data dir
mv $RPM_BUILD_ROOT%{_datadir}/%{lib_prefix}-%{lib_name} ${RPM_BUILD_ROOT}%{lib_datadir}
Comment 12 Jakub Filak 2012-05-14 09:10:20 EDT
Spec URL: http://jfilak.fedorapeople.org/packages/python-django-dajax.spec
SRPM URL:
http://jfilak.fedorapeople.org/packages/python-django-dajax-0.8.4-4.fc16.src.rpm
Spec diff:
http://jfilak.fedorapeople.org/packages/python-django-dajax.spec.r3-r4.patch

Changes:
* Release 3 -> Release 4
* + requires httpd
* - rename data dir
* simplified %install


I thought that package's datadir must have the same name as a package.
Comment 13 Matthias Runge 2012-05-15 03:10:28 EDT
OK, much better now.

Package approved
Comment 14 Jakub Filak 2012-05-15 03:49:09 EDT
New Package SCM Request
=======================
Package Name: python-django-dajax
Short Description: Library to create asynchronous presentation logic with Django and dajaxice
Owners: jfilak
Branches: f16 f17 el6
InitialCC:
Comment 15 Gwyn Ciesla 2012-05-15 08:18:37 EDT
Git done (by process-git-requests).
Comment 16 Fedora Update System 2012-05-17 09:45:14 EDT
python-django-dajax-0.8.4-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-django-dajax-0.8.4-5.fc16
Comment 17 Fedora Update System 2012-05-17 09:45:20 EDT
python-django-dajax-0.8.4-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-django-dajax-0.8.4-5.fc17
Comment 18 Fedora Update System 2012-05-17 09:45:27 EDT
python-django-dajax-0.8.4-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-django-dajax-0.8.4-5.el6
Comment 19 Fedora Update System 2012-06-07 14:04:38 EDT
python-django-dajax-0.8.4-5.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 20 Fedora Update System 2012-06-14 20:22:43 EDT
python-django-dajax-0.8.4-5.fc17 has been pushed to the Fedora 17 stable repository.
Comment 21 Fedora Update System 2012-06-14 20:30:48 EDT
python-django-dajax-0.8.4-5.fc16 has been pushed to the Fedora 16 stable repository.
Comment 22 Fedora Update System 2012-06-14 22:16:15 EDT
python-django-dajax-0.8.4-5.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.